class RespawnOnExpiry extends SqRootScript
{
	function OnSim()
	{
		if(message().starting)
		{
			local respawnMarkerID = Object.Create("Marker");
			//Property.SetSimple(respawnMarkerID, "RenderType", 2); //Unlit, for testing only
			Object.SetName(respawnMarkerID, "RespwanPoint");
			Property.CopyFrom("RespwanPoint", "Position", "SFXTest");
		}
	}
	
	function OnCreate()
	{
		SetOneShotTimer("SetName", 0.5);
	}
	
	function OnTimer()
	{
		if(message().name == "SetName")
		{
			Object.SetName(self, "SFXTest");
			
			local undoObjID = Quest.Get("UndoObjID");
			local redoObjID = Quest.Get("RedoObjID");
			
			if(undoObjID != 0)
			{
				local undoLinkID = Link.Create("ScriptParams", self, undoObjID);
				LinkTools.LinkSetData(undoLinkID, "", "Undo");
			}
			
			if(redoObjID != 0)
			{
				local redoLinkID = Link.Create("ScriptParams", self, redoObjID);
				LinkTools.LinkSetData(redoLinkID, "", "Redo");
			}
			SendMessage("ParticlesPanel", "TurnOn");
		}
	}
	
	function OnSlain()
	{	
		local archID = Object.Archetype("SFXTest");
		
		local newSFXObjID = Object.BeginCreate(archID);
		Object.EndCreate(newSFXObjID);
		Property.CopyFrom(newSFXObjID, "Position", "RespwanPoint");
	}
}